frame

Sveiki apsilankę!

Jei forume lankaisi pirmą kartą, kviečiame registruotis ir prisijungti prie diskusijų.

Prisijungti Registruotis

Kelios PHP versijos viename serveryje

karolisitmarkskarolisitmarks Naujokas (-ė)
edited 2015 vasario 5 Į Pagalba
Ar kam nors yra pavykę sėkmingai įdiegti kelias php versijas, pvz 4 ir 5 viename Virtualmin serveryje?

Jeigu man nors yra pavykę, būtų džiugu, jei pasidalintumėte tokiomis žiniomis.

Komentarai

  • IV_RomanLIV_RomanL Interneto vizija
    edited 2012 kovo 30
    Sveiki,

    verta pastebėti, jog PHP4 jau senai nėra palaikoma jos kūrėjų, tad naudoti šią versiją yra gana nesaugu ir neefektyvu. Šiuo metu rekomenduojama PHP 5.3.x versija siekiant koja kojon žengti su saugumo bei greičio standartais svetainių programavimo kalbos bei talpinimo srityje.

    Ar tikrai pageidaujate naudoti PHP4 savo serveryje?
  • karolisitmarkskarolisitmarks Naujokas (-ė)
    edited 2012 balandžio 2
    Sveiki,

    Mes turime sistemą, kuri neveikia ant naujosios PHP versijos (5). Ir jai reikalingas senoji PHP 4.
  • neworldneworld Naujokas (-ė)
    edited 2012 balandžio 14
    karolisitmarks parašė: »
    Sveiki,

    Mes turime sistemą, kuri neveikia ant naujosios PHP versijos (5). Ir jai reikalingas senoji PHP 4.

    Galbūt vertėtų pagalvoti apie sistemos atnaujinimą arba keitimą? Visgi kyla ir saugumo klausimai.

    O įdiegti ir abi naudoti nėra sunku. Su apt-get galima suinstaliuoti abi (debian, ubuntu)
  • virtualusvirtualus Naujokas (-ė)
    edited 2013 gegužės 9
    Kaip turėti kelias php versijas centos 4.8 ? Šiuo metu yra 5.3.15, o konkrečiam subdomenui reikia, kad būtu 5.0.4.

    Kaip tai padaryti ? Ačiū :)
  • moxfelvmoxfelv Naujokas (-ė)
    edited 2013 gegužės 9
    Su tokiom programom parašytom ilgai negyvuosite...
    Jei reikalinga konkreti PHP versija reiškia išnaudoja kažkokią tai skylę kuri vėliau buvo užlopyta nebereikalo.

    Atnaujinimai šiaip sau neišeina.

    Programų sutvarkymas dažniausiai užima iki 10 minučių, įsijungus klaidų rodymą ir žiūrint kas blogai.

    Internete pilna tutorialų kaip įsidiegti kelias versijas, viena iš jų:
    http://linuxplayer.org/2011/05/intall-multiple-version-of-php-on-one-server
  • virtualusvirtualus Naujokas (-ė)
    edited 2013 gegužės 9
    Žinau, kad tai nėra gera išeitis, bet tai ganėtinai sudėtinga programa ir veikia tik su ne naujesne kaip 5.0.4. Rasti ką ištaisyti ne mano jėgoms, o mokėti - nėra pinigų :)
  • moxfelvmoxfelv Naujokas (-ė)
    edited 2013 gegužės 9
    Manau jog būtų netgi lengviau ištaisyti klaidas negu instaliuoti ir palaikyti kelias PHP versijas.
    Nekalbant apie laiko ir sanaudų naudojimą nutikus įsilaužimui.
  • karolisitmarkskarolisitmarks Naujokas (-ė)
    edited 2015 sausio 31
    Sveiki. Prikeliu klausimą, bet viskas kur kas paprasčiau. Ar galite suteikti instrukciją, kaip centos atnaujinti php iš 4 į 5.5 versiją?
  • IV_RomanLIV_RomanL Interneto vizija
    edited 2015 vasario 2
    karolisitmarks parašė: »
    Sveiki. Prikeliu klausimą, bet viskas kur kas paprasčiau. Ar galite suteikti instrukciją, kaip centos atnaujinti php iš 4 į 5.5 versiją?

    Patikslinkite prašau, ar teisingai jus supratau: jūs norite atnaujinti PHP 5.4 į 5.5 serveryje kuriame yra naudojamas Webmin valdymo pultas?
  • karolisitmarkskarolisitmarks Naujokas (-ė)
    edited 2015 vasario 4
    IV_RomanL parašė: »
    Patikslinkite prašau, ar teisingai jus supratau: jūs norite atnaujinti PHP 5.4 į 5.5 serveryje kuriame yra naudojamas Webmin valdymo pultas?

    Ne, iš PHP 4 į PHP 5, kuriame naudojamas Webmin.
  • IV_RomanLIV_RomanL Interneto vizija
    edited 2015 vasario 5
    karolisitmarks parašė: »
    Ne, iš PHP 4 į PHP 5, kuriame naudojamas Webmin.

    Dėl esminių pokyčių PHP versijose šiuo atveju reiktų pašalinti PHP 4 ir tiesiog įdiegti norimą PHP 5.x versiją (jei jūsų paketų repozitorija turi pageidaujamos versijos PHP).
Norėdami palikti komentarą, turite prisijungti arba registruokis.